#comment out if not prerel
%define prel		beta3

%define major		2
%define api		5.1
%define libluajit	%mklibname %{name} %{api} %{major}
%define devluajit	%mklibname %{name} %{api} -d

%define	tarname		LuaJIT

Name:			luajit
Version:		2.1.0
Release:		%mkrel 0.1
Summary:		Just-In-Time Compiler for the Lua programming language
Group:			Development/Other
License:		MIT
Url:			http://luajit.org/luajit.html
Source:			http://luajit.org/download/%{tarname}-%{version}%{?prel:-%prel}.tar.xz
Obsoletes:      luajit-static

%description
LuaJIT has been successfully used as a scripting middle-ware in games,
3D modelers, numerical simulations, trading platforms and many other
specialty applications.
It combines high flexibility with high performance and an unmatched low
memory footprint: less than 125K for the VM plus less than 85K for the
JIT compiler (on x86).
LuaJIT has been in continuous development since 2005. It is widely considered
to be one of the fastest dynamic language implementations.

%files
%doc COPYRIGHT README
%{_bindir}/%{name}-%{version}%{?prel:-%prel}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}-%{version}%{?prel:-%prel}/jit/*.lua
%{_libdir}/lib%{name}*.so.%{major}
%{_libdir}/lib%{name}*.so.%{version}

%package devel
Summary:	Just-In-Time Compiler for the Lua programming language
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{tarname}-devel = %{version}-%{release}

%description devel
This package contains header files needed by developers.

%files devel
%{_includedir}/luajit*/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libluajit-%{api}.so

%prep
%setup -q -n %{tarname}-%{version}%{?prel:-%prel}

%build
%ifarch	x86_64
%make_build amalg \
 	Q= E=@: PREFIX=%{_usr} \
	TARGET_CFLAGS=-DMULTIARCH_PATH='\"%{_libdir}/\"' \
	CCDEBUG="%{optflags}" \
	XCFLAGS="-DLUAJIT_ENABLE_LUA52COMPAT" \
	TARGET_STRIP=:
%else
%make_build amalg \
	Q= E=@: PREFIX=%{_usr} \
	INSTALL_LIB="%{buildroot}%{_libdir}" \
	CCDEBUG="%{optflags}" \
	XCFLAGS="-DLUAJIT_ENABLE_LUA52COMPAT" \
	TARGET_STRIP=:
%endif

%install
%make_install PREFIX=%{_usr} INSTALL_LIB=%{buildroot}%{_libdir}

ln -sf %{_libdir}/libluajit-%{api}.so.%{version} %{buildroot}%{_libdir}/libluajit-%{api}.so

ln -sf %{_bindir}/luajit-%{version}%{?prel:-%prel} %{buildroot}%{_bindir}/luajit

# We don't package static libraries
rm -rf %{buildroot}%{_libdir}/libluajit-%{api}.a


%changelog
* Thu Mar 07 2019 tex 2.1.0-0.beta3.1pclos2019
- update
